void main()
{
	vec3 colour			= texture( InputTexture, TexCoord ).rgb ;
	float green			= ( colour.g - 0.049 ) * 0.5 ;
	ivec2 scrnDims		= textureSize( InputTexture, 0 );
	//ivec2 scrnPos		= ivec2( TexCoord * scrnDims );
	
	if( TexCoord.x >= box1_tl.x && TexCoord.x <= box1_br.x && TexCoord.y >= box1_tl.y && TexCoord.y <= box1_br.y )
		if( green < 0.26 && colour.r > tolerance && colour.b > tolerance )
		{		
			float angle		= radians( green * 4 * 360 );
			float xpos		= TexCoord.x + cos( angle ) * depth ;
			float ypos		= TexCoord.y + sin( angle ) * depth ;
			
			//do this better:
			if( xpos < 0 ) xpos = TexCoord.x * 0.5 ;
			if( ypos < 0 ) ypos = TexCoord.y * 0.5 ;
			if( xpos > 1 ) xpos = TexCoord.x + ( 1.0 - TexCoord.x ) * 0.5 ;
			if( ypos > 1 ) ypos = TexCoord.y + ( 1.0 - TexCoord.y ) * 0.5 ;
			
			vec3 colour2	= texelFetch( InputTexture, ivec2( vec2( xpos, ypos ) * scrnDims ), 0 ).rgb ;
			float green2	= ( colour2.g - 0.049 ) * 0.5 ;
			
			if( green2 < 0.26 && colour2.r > tolerance2 && colour2.b > tolerance2 )
			{
				colour2.rb	= clamp( colour2.rb - 0.9, 0.000001, 0.1 );	//remove magenta (already reduced %10 by alpha)
				colour2.rb	*= 10 ;										//amplify remaining background content up to %100
				colour2.g	= ( colour2.r + colour2.b ) * 0.5 ;			//green adopts the average of red and blue
				
				if( colour2.g > tolerance3 ) colour2 = vec3( green );
			}
			
			if( alpha < 1 )
			{
				colour.rb	= clamp( colour.rb - 0.9, 0.000001, 0.1 );
				colour.rb	*= 10 ;
				colour.g	= ( colour.r + colour.b ) * 0.5 ;
				FragColor	= vec4( mix( colour, colour2, alpha ), 1.0 );
			}
			else FragColor	= vec4( colour2, 1.0 );
		}
		else FragColor		= vec4( colour, 1.0 );
	else FragColor			= vec4( colour, 1.0 );
}